Skip navigation

Upgrading from 10.4 to Snow Leopard?

328 Views 10 Replies Latest reply: Jan 18, 2013 7:38 AM by noondaywitch RSS
media fred Calculating status...
Currently Being Moderated
Jan 16, 2013 9:00 PM

I'm running the most recent version of 10.4 (whatever that is) and I want to upgrade to Snow Leopard. If I purchase the Snow Leopard install disc can I upgrade directly to Snow Leopard from 10.4?

 

Thanks.

  • Niel Level 10 Level 10 (234,440 points)
    Currently Being Moderated
    Jan 16, 2013 9:15 PM (in response to media fred)

    Yes, if it's a retail DVD and your Mac is compatible with it.

     

    (74663)

  • Niel Level 10 Level 10 (234,440 points)
    Currently Being Moderated
    Jan 16, 2013 9:36 PM (in response to media fred)

    It can; 10.6 requires an Intel Mac with at least 1GB RAM.

     

    (74665)

  • Klaus1 Level 8 Level 8 (43,335 points)
    Currently Being Moderated
    Jan 17, 2013 2:28 AM (in response to media fred)

    When you have installed Snow Leopard, run Software Update to download and install the latest updates for Snow Leopard.

     

    To use iCloud you have to upgrade at least to Lion, but some functions are only available in Mountain Lion:

     

    http://support.apple.com/kb/HT4759

     

    You can also purchase the code to use to download Lion (Lion requires an Intel-based Mac with a Core 2 Duo, i3, i5, i7 or Xeon processor and 2GB of RAM, running the latest version of Snow Leopard), or you can purchase Mountain Lion from the App Store - if you can run that:

     

    http://www.apple.com/osx/specs/

  • noondaywitch Level 6 Level 6 (8,130 points)
    Currently Being Moderated
    Jan 17, 2013 4:39 AM (in response to media fred)

    media fred wrote:

     

    1. Any idea if it will run slower if I do this upgrade?

    2. Any idea if I can upgrade this Mac to 10.7?

     

    Thanks.

     

    1. Should be OK with 2GB RAM, but more would be better of course. Expect around the same response times or maybe a little faster.

     

    2. Yes, that will run Lion, but you still need Snow Leopard to get the App Store (10.6.8). I'd recommend doubling the RAM for Lion, but it should be OK as is until you get to any intensive photo or audio stuff.

    Edit;

    << I just checked MacTracker, and it would appear that the maximum RAM you can use is 3GB; that will be slow performance in Lion >>

     

    Be warned that printer drivers, and scanner drivers in particular will almost certainly need updating for SL and probably again for Lion. That could be a problem if the printer or scanner is more than a couple of years old.

     

    Many third party applications (and some Apple ones) may need updates for SL (Adobe particularly) and definitely will for Lion, so check with the vendors for compatability before you upgrade.

     

    Also, while most legacy PPC apps that run in Tiger will also run in SL under Rosetta, they won't run at all in Lion as Rosetta support has been dropped.

     

    Lion is still only available from Phone Sales as far as I'm aware;

    in the US, call 1-800-MY-APPLE and ask for a sales assistant; they'll give you a download code to use in the Mac App Store.

    UK sales; 0800 048 0408

     

    You can't run Mountain Lion.

     

    Message was edited by: noondaywitch

  • noondaywitch Level 6 Level 6 (8,130 points)
    Currently Being Moderated
    Jan 18, 2013 2:22 AM (in response to media fred)

    You can only use the USB key by erasing the drive first as far as I know.

    If you don't already have one, you probably won't be able to get one now.

     

    10.5 will cost more than Snow Leopard - by a long way. You can't use discs from another Mac and Apple no longer stock retail discs for Leopard. In any case, it's irrelevant as you have to wipe the HD anyway, it doesn't matter what the starting OS is.

     

    Bear in mind a USB installer will cost a minimum of $80, and probably much more on Amazon or eBay, while the SL - App store route will only cost $40 total.

  • media73 Calculating status...
    Currently Being Moderated
    Jan 18, 2013 6:53 AM (in response to noondaywitch)

    Hello i have bought the dvd but it never finishes the install, if i go to the log details it shows this:

     

    06:33:47 localhost Unkown[80] : Fri Jan 18 06:33:47 localhost LCA[79] <Kerror>: kcgerrorinvalidoperation: _cgsfindSharedWindow: WID 18

     

    Help I do not know now what to do! do i restart? quit the installer?

     

    I was using two monitors yesterday but now only one is this anything to do with it?

     

    Any help asap please

  • noondaywitch Level 6 Level 6 (8,130 points)
    Currently Being Moderated
    Jan 18, 2013 7:38 AM (in response to media73)

    You should start your own thread.

     

    If your profile is correct (G5 and 10.4.6) you can't run Snow Leopard. It requires an Intel processer (2006 on).

     

    Aside from that it's always best to disconnect all peripherals except keyboard and mouse, disconnect ethernet and turn off wifi before a major installation (I'd do it for security updates too).

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.